/* 
 * File:   CAi.h
 * Author: Adam Netocny
 *
 * Created on Pondelok, 2009, december 28, 17:50
 */

#ifndef __CAi__
#define __CAi__

#include "COponent.h"
#include "CTable.h"

//Trieda reprezentuje oponenta(PC)

class CAi : public COponent {
public:
    //Konstruktor, inicializuje objekt
    CAi(CTable* table);
    //Destruktor, uvolni zdroje
    ~CAi(void);

    //Vykona jeden tah
    bool MakeMove(void);
    //Kontrola, ci je mozno vratit tah spat
    bool AllowsBack(void);

protected:
    //Odakzy na hodnotiace polia, do ktorych sa vypocitavaju hodnoty
    CTable* m_Obrana;
    CTable* m_Utok;

    //Vynuluje hodnotiace polia
    void Vynuluj(void);
    //Vypocita obranne hodnoty
    void VyhodnotObranu(void);
    //Vypocita utocne hodnoty
    void VyhodnotUtok(void);
    //Vrati vypocitany tah
    void VratTah(int & x, int & y);
};

#endif /* __CAi__ */
