/* 
 * File:   COponent.h
 * Author: Adam Netocny
 *
 * Created on Pondelok, 2009, december 28, 17:48
 */

#ifndef __COponent__
#define __COponent__

#include "CTable.h"

//Spolocny nadpredok oponentskych implementacii

class COponent {
public:

    //Konstruktor, ulozi odkaz na hracie pole
    COponent(CTable* table) {
        m_Table = table;
    }

    //Destruktor
    virtual ~COponent(void) {
    }

    //Neimpementovane, bezne zabezpecuje tah oponenta
    virtual bool MakeMove(void) {
        return false;
    }

    //Identifikator moznosti vratenia tahu
    virtual bool AllowsBack(void){
        return false;
    }

protected:
    //Odkaz na hracie pole
    CTable* m_Table;
};

#endif /* __COponent__ */
