/* 
 * File:   CPlayer.h
 * Author: Adam Netocny
 *
 * Created on Pondelok, 2009, december 28, 17:48
 */

#ifndef __CPlayer__
#define __CPlayer__

#include "CTable.h"

class CGame;
//Trieda implementujuca rozhrannie pre komunikaciu s hracom

class CPlayer {
public:
    //Konstruktor, inicializuje hodnoty
    CPlayer(CTable* table, CGame* game, bool gameType);
    //Destruktor, uvloni zdroje
    ~CPlayer(void);

    //Nacita od uzivatela jeden tah
    void ReadMove(void);

protected:
    //Odkaz na hracie pole
    CTable* m_Table;
    //Odkaz na Engine
    CGame* m_Game;

    //Typ hry (true - AI, false - network)
    bool m_GameType;
};

#endif /* __CPlayer__ */
